@extends('layouts.app')

@section('content')
<?php $data = [
	'ID'=>'id',
	'Thumbnail'=>'thumbnail',
	'Signature'=>'signature',
	'Date Taken'=>'datetaken',
	'File Created'=>'created',
	'File Modified'=>'modified',
	'Filename'=>'filepath',
	'Filesize'=>'filesize',
	'Width'=>'width',
	'Height'=>'height',
	'Orientation'=>'orientation',
	'Make'=>'make',
	'Model'=>'model',
	'Duplicates'=>'duplicates',
	'Is Duplicate'=>'duplicate',
	'Flagged'=>'flag',
	'Delete'=>'remove',
];?>

<div class="container">
	<div class="row">
		<div class="col-md-11 col-md-offset-1">
			<div class="panel panel-default">
				<div class="panel-heading">
					Permanently Delete Photos
				</div>

				<div class="text-center">{{ $photos->links() }}</div>
				<div class="panel-body">
					<form action="{{ url('/deletes') }}" method="POST">
					<table class="table table-striped table-condensed table-hover">
					@foreach ($data as $k=>$v)
						<tr>
						<th>{{ $k }}</th>
@foreach ($photos as $o)
<?php
switch ($v) :
case 'id': $x=$o->id; $y=sprintf('<input type="hidden" name="photo[]" value="%s"><a href="%s">%s</a>',$o->id,url('/info/'.$o->id),$o->id); break;
case 'thumbnail': $x=md5($o->thumbnail); $y=sprintf('<a href="%s"><img src="%s" width="200px"></a>',url('/view/'.$o->id),url('/thumbnail/'.$o->id)); break;
case 'signature': $x=$y=$o->signature(TRUE); break;
case 'datetaken': $x=$y=$o->date_taken(); break;
case 'created': $x=$y=$o->file_date('c',TRUE); break;
case 'modified': $x=$y=$o->file_date('m',TRUE); break;
case 'filepath': $x=$y=$o->file_path(TRUE); break;
case 'filesize': $x=$y=$o->file_size(); break;
case 'width':
case 'height':
case 'orientation':
case 'make':
case 'model': $y=$o->{$v}; break;
case 'duplicates': $x=$y='';foreach($o->list_duplicate() as $id) $y.=($y ? '|' : '').sprintf('<a href="%s">%s</a>',url('/info/'.$id),$id); break;
case 'flag':
case 'remove':
case 'duplicate': $y=sprintf('<input type="checkbox" name="%s[%s]" value="1"%s>',$v,$o->id,$o->{$v} ? ' checked="checked"' : ''); break;
endswitch ?>
							<td><?php echo $y; ?></td>
						@endforeach {{-- photo --}}
						</tr>
					@endforeach {{-- data --}}
					</table>
					<input type="hidden" name="pagenext" value="{{ $photos->hasMorePages() ? $photos->currentPage()+1 : NULL }}">
					<button class="btn btn-default">Confirm Delete</button>
					{{ csrf_field() }}
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection
